Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.kern
Class Fenster

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          sum.kern.Bildschirm
                              sum.kern.Fenster

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class Fenster

extends Bildschirm

Die Klasse Fenster dient zur Erstellung von zusätzlichen Fenstern zum SuM-Fenster. Falls ein Stift in diesem Fenster zeichnen soll, muss das Fenster im Konstruktor als Parameter übergeben werden. Das gilt auch für Komponenten des Fensters. Jedes Fenster besitzt einen Namen, der in der Titelleiste angezeigt wird. Falls keion Fenstername angegeben wird, heisst das Fenster "SuM-Fenster". Das Fenster kann mit Doppelpufferung versehen werden. Das bedeutet, dass statt auf das Fenster in ein verstecktes Bild gezeichnet wird. Dieses Bild kann mit dem Auftrag zeichneDich() im Fenster angezeigt werden.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class sum.kern.Bildschirm
`hatPrivatschirm, hatTastaturpuffer, topFenster, zFensternummer, zMausHatPositionX, zMausHatPositionY, zTasteIstDoppel, zTasteIstUnten`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Fenster()` Ein neues Fenster mit dem Namen SuM-Fenster wurde erzeugt.
`Fenster(boolean pMitDoubleBuffering)` Ein neues Fenster wurde erzeugt.
`Fenster(int pBreite, int pHoehe)` Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt.
`Fenster(int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt.
`Fenster(int pLinks, int pOben, int pBreite, int pHoehe)` Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt.
`Fenster(int pLinks, int pOben, int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt.
`Fenster(int pLinks, int pOben, int pBreite, int pHoehe, String pName)` Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt.
`Fenster(int pLinks, int pOben, int pBreite, int pHoehe, String pName, boolean pMitDoubleBuffering)` Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt.
`Fenster(int pBreite, int pHoehe, String pName)` Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt.
`Fenster(int pBreite, int pHoehe, String pName, boolean pMitDoubleBuffering)` Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt.
`Fenster(String pName)` Ein neues Fenster wurde erzeugt.
`Fenster(String pName, boolean pMitDoubleBuffering)` Ein neues Fenster wurde erzeugt.

Method Summary

Methods inherited from class sum.kern.Bildschirm
`bearbeiteFokusErhalten, breite, fehler, g, gibFrei, hintergrundfarbe, hoehe, holeGanzeZahl, holeGanzeZahl, holeText, holeText, holeZahl, holeZahl, init2DGraphics, loescheAlles, merkeGroesse, nachVorn, paint, privatPanel, setzeFarbe, setzeFarbe, warte, zeichneDich`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### Fenster

    public Fenster()

  Ein neues Fenster mit dem Namen SuM-Fenster wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

### Fenster

    public Fenster(boolean pMitDoubleBuffering)

  Ein neues Fenster wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Fenster

    public Fenster(int pBreite,
                   int pHoehe)

  Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters

### Fenster

    public Fenster(int pBreite,
                   int pHoehe,
                   boolean pMitDoubleBuffering)

  Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Fenster

    public Fenster(int pLinks,
                   int pOben,
                   int pBreite,
                   int pHoehe)

  Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pLinks` - der Abstand des Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters

### Fenster

    public Fenster(int pLinks,
                   int pOben,
                   int pBreite,
                   int pHoehe,
                   boolean pMitDoubleBuffering)

  Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pLinks` - der Abstand des Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Fenster

    public Fenster(int pLinks,
                   int pOben,
                   int pBreite,
                   int pHoehe,
                   String pName)

  Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pLinks` - der Abstand des Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters
    `pName` - der Name des Fensters (in der Titelleiste)
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Fenster

    public Fenster(int pLinks,
                   int pOben,
                   int pBreite,
                   int pHoehe,
                   String pName,
                   boolean pMitDoubleBuffering)

  Ein neues Fenster mit festgelegter Position, Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pLinks` - der Abstand des Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters
    `pName` - der Name des Fensters (in der Titelleiste)
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Fenster

    public Fenster(int pBreite,
                   int pHoehe,
                   String pName)

  Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters
    `pName` - der Name des Fensters (in der Titelleiste)

### Fenster

    public Fenster(int pBreite,
                   int pHoehe,
                   String pName,
                   boolean pMitDoubleBuffering)

  Ein neues Fenster mit festgelegter Breite und Höhe wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Höhe des Fensters
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden
    `pName` - der Name des Fensters (in der Titelleiste)

### Fenster

    public Fenster(String pName)

  Ein neues Fenster wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pName` - der Name des Fensters (in der Titelleiste)

### Fenster

    public Fenster(String pName,
                   boolean pMitDoubleBuffering)

  Ein neues Fenster wurde erzeugt. Das Fenster liegt über den bisher erzeugten Fenstern und hat eine maximale Grösse.

  Parameters:
    `pName` - der Name des Fensters (in der Titelleiste)
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD